import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.charset.Charset;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardOpenOption;

public class ChannelWriteTest1 {

	public static void main(String[] args) {

		Path path = Paths.get("C:\\javaStudy\\eclipse-workspace\\Chapter11\\nioWriteTest.txt");

		try (FileChannel ch = FileChannel.open(path, StandardOpenOption.WRITE, StandardOpenOption.CREATE)) {

			String data = "파일 쓰기 테스트...";
			Charset charset = Charset.defaultCharset();
			ByteBuffer buffer = charset.encode(data);
			ch.write(buffer);
		} catch (IOException e) {
			e.printStackTrace();
			System.out.println("Error...");
		}
	}
}