import java.util.function.BooleanSupplier;
import java.util.function.DoubleSupplier;
import java.util.function.IntSupplier;
import java.util.function.Supplier;

public class SuplierTest {

	public static void main(String[] args) {
		//Supplier<String>
		Supplier<String> s = () -> "supplier인터페이스는 리턴값만 있다.";
		String result1 = s.get();
		System.out.println("result1 = " + result1);

		//IntSupplier
		IntSupplier is = () -> 100; 
		int result2 = is.getAsInt();
		System.out.println("result2 = " + result1);

		//DoubleSupplier
		DoubleSupplier ds = () -> 3.14;
		double result3 = ds.getAsDouble();
		System.out.println("result3 = " + result3);

		//BooleanSupplier
		BooleanSupplier bs = () -> 1 > 2;
		boolean result4 = bs.getAsBoolean();
		System.out.println("result4 = " + result4);
	}

}

